using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Xml;
using Syncfusion.Web.UI.WebControls.Grid.Grouping;
using Syncfusion.Grouping;
using Syncfusion.Windows.Forms.Grid;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            this.AccessDataSource1.DataFile = Server.MapPath("App_Data\\NWIND.mdb");
            this.GridGroupingControl1.DataSource = this.AccessDataSource1;

           
           
           
            
            
        }

        this.GridGroupingControl1.QueryCellStyleInfo += new GridTableCellStyleInfoEventHandler(GridGroupingControl1_QueryCellStyleInfo);
    }

    void GridGroupingControl1_QueryCellStyleInfo(object sender, GridTableCellStyleInfoEventArgs e)
    {
        //Look for the RecordField and AlternateField Cell.
        if (e.TableCellIdentity.TableCellType == GridTableCellType.RecordFieldCell || e.TableCellIdentity.TableCellType == GridTableCellType.AlternateRecordFieldCell)
        {
            //Look for the Column Name "Name of the Column specified" in the GridGroupingControl when it get rendered
            if (e.TableCellIdentity.Column.MappingName == "City")
            {
                //Changes the EditItem template of the column specified as DropDownListBox 
                DropDownList dropdown = new DropDownList();

              
                dropdown.DataSourceID = "AccessDataSource3";
                dropdown.DataTextField = "City";
                dropdown.DataValueField = "City";
             
                
                dropdown.SelectedIndexChanged += new EventHandler(DropDownList2_SelectedIndexChanged);
               

                //Here we adding the DropDownListBox programatically using ITemplate Interface
                TemplateClass mytemp = new TemplateClass(dropdown);
                e.TableCellIdentity.Column.EditItemTemplate= mytemp;
            }
            

        }
    }

    protected void DropDownList2_SelectedIndexChanged(object sender, EventArgs e)
    {
        DropDownList ddl = sender as DropDownList;
        Record rd = GridGroupingControl1.Table.CurrentRecord;
        
        rd.SetValue("City", ddl.SelectedItem.Value);
         //rd1.    
        //rd.SetValue("Country", ddl.SelectedItem.Value);
    }

    

    public class TemplateClass : ITemplate
    {
        private Control m_ctrlChildControl = null;
        public TemplateClass(Control ctrlChildControl)
        {
            m_ctrlChildControl = ctrlChildControl;
        }

        public void InstantiateIn(Control container)
        {
            container.Controls.Add(m_ctrlChildControl);
        }      
    }
  
 
   
}

